<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRfCalMonTimeUntConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRfCalMonTimeUntConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Radar RF Calibration monitoring time unit configuration.  
 <a href="structrl_rf_cal_mon_time_unt_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:af70b3ee2debf941d9b8a9ce6a32b75fa"><td class="memItemLeft" align="right" valign="top">rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_cal_mon_time_unt_conf__t.html#af70b3ee2debf941d9b8a9ce6a32b75fa">calibMonTimeUnit</a></td></tr>
<tr class="memdesc:af70b3ee2debf941d9b8a9ce6a32b75fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the basic time unit, in terms of which calibration and/or monitoring <br />
 periodicities are to be defined. <br />
 If any monitoring functions are desired and enabled, the monitoring infrastructure automatically inherits this time unit as the period over which the various monitors are cyclically executed; so this should be set to the desired FTTI.<br />
 For calibrations, a separate rlRunTimeCalibConf.calibPeriodicity can be specified, as a multiple of this time unit, in rlRfRunTimeCalibConfig. <br />
 1 LSB = Duration of one frame. <br />
.  <a href="#af70b3ee2debf941d9b8a9ce6a32b75fa">More...</a><br /></td></tr>
<tr class="separator:af70b3ee2debf941d9b8a9ce6a32b75fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa05d152ff25fea400a4b05da2a015031"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa05d152ff25fea400a4b05da2a015031"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_cal_mon_time_unt_conf__t.html#aa05d152ff25fea400a4b05da2a015031">numOfCascadeDev</a></td></tr>
<tr class="memdesc:aa05d152ff25fea400a4b05da2a015031"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applicable only for 12xx devices, default value = 1. <br /></td></tr>
<tr class="separator:aa05d152ff25fea400a4b05da2a015031"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94b0a5384bf9d1252d9e147b7ab67369"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94b0a5384bf9d1252d9e147b7ab67369"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_cal_mon_time_unt_conf__t.html#a94b0a5384bf9d1252d9e147b7ab67369">devId</a></td></tr>
<tr class="memdesc:a94b0a5384bf9d1252d9e147b7ab67369"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applicable only for 12xx devices, default value = 1. <br /></td></tr>
<tr class="separator:a94b0a5384bf9d1252d9e147b7ab67369"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f2483a386be3320e7489dc0105d8bd0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f2483a386be3320e7489dc0105d8bd0"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_cal_mon_time_unt_conf__t.html#a7f2483a386be3320e7489dc0105d8bd0">reserved</a></td></tr>
<tr class="memdesc:a7f2483a386be3320e7489dc0105d8bd0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a7f2483a386be3320e7489dc0105d8bd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Radar RF Calibration monitoring time unit configuration. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="af70b3ee2debf941d9b8a9ce6a32b75fa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt16_t rlRfCalMonTimeUntConf_t::calibMonTimeUnit</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the basic time unit, in terms of which calibration and/or monitoring <br />
 periodicities are to be defined. <br />
 If any monitoring functions are desired and enabled, the monitoring infrastructure automatically inherits this time unit as the period over which the various monitors are cyclically executed; so this should be set to the desired FTTI.<br />
 For calibrations, a separate rlRunTimeCalibConf.calibPeriodicity can be specified, as a multiple of this time unit, in rlRfRunTimeCalibConfig. <br />
 1 LSB = Duration of one frame. <br />
. </p>
<dl class="section note"><dt>Note</dt><dd>Even though calibrations many not be desired every time unit, every time unit shall be made long enough to include active chirping time, time required for all enabled calibrations and monitoring functions. </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
